Bug 616874 (CVE-2010-2534) - CVE-2010-2534 OpenTTD: DoS (server infinite loop with excessive CPU use) when new client is joining server game (FS#3909)
Summary: CVE-2010-2534 OpenTTD: DoS (server infinite loop with excessive CPU use) when...
Status: CLOSED ERRATA
Alias: CVE-2010-2534
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100627,reported=20100720,sou...
Keywords: Security
Depends On: 616875
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-21 15:37 UTC by Jan Lieskovsky
Modified: 2016-03-04 12:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 05:30:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jan Lieskovsky 2010-07-21 15:37:52 UTC
User with nickname 'Dolly' reported:
  [1] http://bugs.openttd.org/task/3909

a deficiency in the way OpenTTD transportation business simulation game
server synced local command queue to the command queue of the given socket
after receiving a command from a game joining client. A remote attacker
could use this flaw to conduct denial of service attacks, leading to game
server infinite loop consuming excessive amount of CPU time.

Proposed patch:
  [2] http://bugs.openttd.org/task/3909/getfile/6237/loop_fix.patch (needs
      upstream review and may change in final form)

CVE Request:
  [3] http://www.openwall.com/lists/oss-security/2010/07/20/1

How reproducible: Sometimes

Comment 1 Jan Lieskovsky 2010-07-21 15:39:53 UTC
This issue affects the versions of the openttd package, as shipped
with Fedora release of 12 and 13. Please fix once final version of
upstream patch is known.

Comment 2 Jan Lieskovsky 2010-07-21 15:42:16 UTC
Created openttd tracking bugs for this issue

Affects: fedora-all [bug 616875]

Comment 3 Jan Lieskovsky 2010-07-22 17:45:00 UTC
The CVE identifier of CVE-2010-2534 has been assigned to this issue
(http://www.openwall.com/lists/oss-security/2010/07/21/6).

Comment 4 Fedora Update System 2010-07-27 02:35:24 UTC
openttd-1.0.3-0.1.RC1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-07-27 02:45:07 UTC
openttd-1.0.3-0.1.RC1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.